ImpliedVolatilityHelper Class Reference

helper class for one-asset implied-volatility calculation More...

`#include <ql/instruments/impliedvolatility.hpp>`

## Static Public Member Functions

static Volatility | calculate (const Instrument &instrument, const PricingEngine &engine, SimpleQuote &volQuote, Real targetValue, Real accuracy, Natural maxEvaluations, Volatility minVol, Volatility maxVol)
static boost::shared_ptr< GeneralizedBlackScholesProcess > | clone (const boost::shared_ptr< GeneralizedBlackScholesProcess > &, const boost::shared_ptr< SimpleQuote > &)

## Detailed Description

helper class for one-asset implied-volatility calculation

The passed engine must be linked to the passed quote (see, e.g., VanillaOption to see how this can be achieved.)

Note
  this function is meant for developers of option classes so that they can implement an impliedVolatility() method.

## Member Function Documentation

static boost::shared_ptr<GeneralizedBlackScholesProcess> clone | ( | const boost::shared_ptr< GeneralizedBlackScholesProcess > & | ,
|  | const boost::shared_ptr< SimpleQuote > & |
| ) |  |

static

The returned process is equal to the passed one, except for the volatility which is flat and whose value is driven by the passed quote.